<?php
namespace nur\sery\wip\schema\_list;

use nur\sery\wip\schema\Result;
use nur\sery\wip\schema\Wrapper;

abstract/*XXX*/ class ListWrapper extends Wrapper {
  function isList(?ListWrapper &$wrapper=null): bool { $wrapper = $this; return true; }

  function ensureKeys(): bool {
  }

  function orderKeys(): bool {
  }

  /** @param Result[] $results */
  function verifix(bool $throw=true, ?array &$results=null): bool {
  }
}
